Package org.eclipse.remote.core

## Interface IRemoteConnectionType.Service

All Known Subinterfaces:
  `IRemoteConnectionProviderService`, `IRemoteUIConnectionService`, `IRemoteUIFileService`

All Known Implementing Classes:
  `AbstractRemoteUIConnectionService`, `RemoteUIFileService`

Enclosing interface:
  IRemoteConnectionType

    public static interface IRemoteConnectionType.Service

The interface that is extend by services provided for this remote services implementation.

Since:
  2.0

### Nested Class Summary

Nested Classes
`static interface` `IRemoteConnectionType.Service.Factory`

### Method Summary

All Methods Instance Methods Abstract Methods
`IRemoteConnectionType` `getConnectionType()`

### Method Detail

#### getConnectionType

    IRemoteConnectionType getConnectionType()